<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Exercici Contrasenya Angel Navarrete</title>
</head>
<body>
    <h1>Exercici Contrasenya Angel Navarrete</h1>
    
    <script>
        //CONDICION 1
        function ComprovarLongitud(){
            if (contrasenya.length > 20 || contrasenya.length < 8){
                alert("Tu contrasenya no tiene la longitud correcta\nHa de tener entre 8 y 20 caracteres");
                return false;
            }
            else{
                return true;
            }
        }
        function ComprovarContrasenya(contrasenya){
            var contadorDigitos= 0;
            var contadorMayusculas = 0;
            var contadorMinusculas = 0;
            //CONDICION 1
            ComprovarLongitud(contrasenya);
            //CONDICION 2
            for(let i = 0; i < contrasenya.length; i++){
                var codigoChar = contrasenya.charCodeAt(i);
                if (codigoChar >= 48 && codigoChar <= 57){
                    contadorDigitos += 1;
                } else if (codigoChar >= 65 && codigoChar <= 90){
                    contadorMayusculas += 1;
                } else if (codigoChar >= 97 && codigoChar <= 122){
                    contadorMinusculas += 1;
                }
            }
            if (contadorMayusculas < 1 ){
                alert("Tu contraseña ha de tener mínimo 1 Mayuscula");
            }
            if(contadorMinusculas < 3){
                alert("Tu contraseña ha de tener mínimo 3 Minusculas");
            }
            if(contadorDigitos < 2){
                alert("Tu contraseña ha de tener mínimo 2 Digitos");
            }
            //CONDICION 3
            for (var i = 0; i < contrasenya.length; i++){
                if (contrasenya[i] == contrasenya[i + 1] && contrasenya[i + 1] == contrasenya[i + 2]){
                    alert("Tu contraseña no puede tener 3 caracteres seguidos.");
                }
            }
            return true;
        }
        do{
            var contrasenya = prompt("Introduce la contrasenya");
            var resultado = ComprovarContrasenya(contrasenya);
            console.log("Contrasenya: " + resultado);
            if(ComprovarLongitud(contrasenya)==true && resultado == true){
                alert("Contrasenya Correcta");
            }
        }while(resultado == false);
        
        
    </script>
</body>
</html>